import { IpcClient } from 'dotup-ts-node-ipc';
import { CodeReaderEvents } from './CodeReaderEvents';
export declare class CodeReaderIpcClient {
    client: IpcClient;
    name: string;
    constructor(name: string);
    start(): void;
    send(data: string): void;
    on(event: 'error', listener: (error: Error) => void): this;
    on(event: 'data', listener: (code: string) => void): this;
    on(event: CodeReaderEvents, listener: (...args: any[]) => void): this;
    off(event: string | CodeReaderEvents, listener: (...args: any[]) => void): this;
    stop(): void;
}
