import { CodeReaderEvents } from './CodeReaderEvents';
export interface ICodeReader {
    readonly readerName: string;
    enabled: boolean;
    initialize(): void;
    start(): void;
    stop(): void;
    on(event: CodeReaderEvents, listener: (code: string) => void): void;
    off(event: CodeReaderEvents, listener: (code: string) => void): void;
}
